apiVersion: kubevirt.io/v1
kind: VirtualMachineInstance
metadata:
  annotations:
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/nonroot: "true"
    kubevirt.io/storage-observed-api-version: v1
    kubevirt.io/vm-generation: "1"
    vm.kubevirt.io/flavor: small
    vm.kubevirt.io/os: rhel9
    vm.kubevirt.io/workload: server
  creationTimestamp: "2025-11-14T04:27:37Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  - kubevirt.io/foregroundDeleteVirtualMachine
  generation: 18
  labels:
    kubevirt.io/domain: rhel9-based-rhcos10-node
    kubevirt.io/nodeName: cnv-qe-infra-19.cnvqe2.lab.eng.rdu2.redhat.com
    kubevirt.io/size: small
    network.kubevirt.io/headlessService: headless
  name: rhel9-based-rhcos10-node
  namespace: siwang
  ownerReferences:
  - apiVersion: kubevirt.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: VirtualMachine
    name: rhel9-based-rhcos10-node
    uid: 2e993c38-3a82-455f-83bb-a2d6df1436b6
  resourceVersion: "2305445"
  uid: 7426b7fb-8fde-4608-b6a2-8bbd037ea10b
spec:
  architecture: amd64
  domain:
    cpu:
      cores: 1
      maxSockets: 4
      model: host-model
      sockets: 1
      threads: 1
    devices:
      disks:
      - disk:
          bus: virtio
        name: rootdisk
      - disk:
          bus: virtio
        name: cloudinitdisk
      interfaces:
      - macAddress: 02:be:91:2f:19:2c
        masquerade: {}
        model: virtio
        name: default
      rng: {}
    features:
      acpi:
        enabled: true
      smm:
        enabled: true
    firmware:
      bootloader:
        efi: {}
      serial: 07b1c333-127c-45ba-ad36-2afd3a80c00f
      uuid: 5390d4b6-c225-4097-99ff-c64192f9f00c
    machine:
      type: pc-q35-rhel9.6.0
    memory:
      guest: 2Gi
      maxGuest: 8Gi
    resources: {}
  evictionStrategy: LiveMigrate
  networks:
  - name: default
    pod: {}
  terminationGracePeriodSeconds: 180
  volumes:
  - dataVolume:
      name: rhel9-based-rhcos10-node
    name: rootdisk
  - cloudInitNoCloud:
      userData: |-
        #cloud-config
        user: cloud-user
        password: 7gei-j0kq-byvs
        chpasswd: { expire: False }
    name: cloudinitdisk
status:
  activePods:
    161b7787-20c6-40b1-9b9e-f14cd179426e: cnv-qe-infra-18.cnvqe2.lab.eng.rdu2.redhat.com
    16b7685e-4126-4e63-bd4c-2cdb7e75ee48: cnv-qe-infra-19.cnvqe2.lab.eng.rdu2.redhat.com
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-11-14T04:27:46Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: null
    message: All of the VMI's DVs are bound and ready
    reason: AllDVsReady
    status: "True"
    type: DataVolumesReady
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: LiveMigratable
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: StorageLiveMigratable
  - lastProbeTime: "2025-11-14T04:27:59Z"
    lastTransitionTime: null
    status: "True"
    type: AgentConnected
  currentCPUTopology:
    cores: 1
    sockets: 1
    threads: 1
  guestOSInfo:
    id: rhel
    kernelRelease: 5.14.0-611.5.1.el9_7.x86_64
    kernelVersion: '#1 SMP PREEMPT_DYNAMIC Fri Oct 17 14:16:35 EDT 2025'
    machine: x86_64
    name: Red Hat Enterprise Linux
    prettyName: Red Hat Enterprise Linux 9.7 (Plow)
    version: 9.7 (Plow)
    versionId: "9.7"
  interfaces:
  - infoSource: domain, guest-agent
    interfaceName: eth0
    ipAddress: 10.128.2.79
    ipAddresses:
    - 10.128.2.79
    - fd02:0:0:5::40d
    linkState: up
    mac: 02:be:91:2f:19:2c
    name: default
    podInterfaceName: eth0
    queueCount: 1
  launcherContainerImageVersion: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:87c89edb75ee36081aef9318263853b92a0dbb545e2813f620956ee77146e026
  machine:
    type: pc-q35-rhel9.6.0
  memory:
    guestAtBoot: 2Gi
    guestCurrent: 2Gi
    guestRequested: 2Gi
  migrationMethod: BlockMigration
  migrationState:
    endTimestamp: "2025-11-14T04:42:44Z"
    failed: true
    failureReason: 'virError(Code=1, Domain=7, Message=''internal error: client socket
      is closed'')'
    migrationConfiguration:
      allowAutoConverge: false
      allowPostCopy: false
      allowWorkloadDisruption: false
      bandwidthPerMigration: "0"
      completionTimeoutPerGiB: 150
      nodeDrainTaintKey: kubevirt.io/drain
      parallelMigrationsPerCluster: 5
      parallelOutboundMigrationsPerNode: 2
      progressTimeout: 150
      unsafeMigrationOverride: false
    migrationUid: 643eaa2e-69a3-417d-a582-7118b948ef04
    mode: PreCopy
    sourceNode: cnv-qe-infra-19.cnvqe2.lab.eng.rdu2.redhat.com
    sourcePod: virt-launcher-rhel9-based-rhcos10-node-j9x7z
    startTimestamp: "2025-11-14T04:42:41Z"
    targetDirectMigrationNodePorts:
      "34931": 0
      "38661": 49152
      "42399": 49153
    targetNode: cnv-qe-infra-18.cnvqe2.lab.eng.rdu2.redhat.com
    targetNodeAddress: 10.129.2.60
    targetNodeDomainDetected: true
    targetPod: virt-launcher-rhel9-based-rhcos10-node-jrsj6
  migrationTransport: Unix
  nodeName: cnv-qe-infra-19.cnvqe2.lab.eng.rdu2.redhat.com
  phase: Running
  phaseTransitionTimestamps:
  - phase: Pending
    phaseTransitionTimestamp: "2025-11-14T04:27:37Z"
  - phase: Scheduling
    phaseTransitionTimestamp: "2025-11-14T04:27:37Z"
  - phase: Scheduled
    phaseTransitionTimestamp: "2025-11-14T04:27:46Z"
  - phase: Running
    phaseTransitionTimestamp: "2025-11-14T04:27:48Z"
  qosClass: Burstable
  runtimeUser: 107
  selinuxContext: system_u:object_r:container_file_t:s0:c136,c978
  virtualMachineRevisionName: revision-start-vm-2e993c38-3a82-455f-83bb-a2d6df1436b6-1
  volumeStatus:
  - name: cloudinitdisk
    size: 1048576
    target: vdb
  - name: rootdisk
    persistentVolumeClaimInfo:
      accessModes:
      - ReadWriteMany
      capacity:
        storage: 30Gi
      claimName: rhel9-based-rhcos10-node
      filesystemOverhead: "0"
      requests:
        storage: "32212254720"
      volumeMode: Block
    target: vda
